dbXML API

## com.dbxml.db.admin.xmleditor
Interface Expandable

All Known Implementing Classes:
  DefaultNodeEditor

public interface Expandable

Expandable

Method Summary
`void` `collapseAll()` collapseAll instructs the NodeEditor to recursively collapse its contents.
`void` `expandAll()` expandAll instructs the NodeEditor to recursively expand its contents.
`boolean` `isExpanded()` isExpanded returns whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).
`void` `setExpanded(boolean expanded)` setExpanded sets whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).

Method Detail

### setExpanded

    public void setExpanded(boolean expanded)

  setExpanded sets whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).

  Parameters:
    `expanded` - The NodeEditor's expanded state

### isExpanded

    public boolean isExpanded()

  isExpanded returns whether or not this NodeEditor is in an expanded state (that is, its contents are displayed).

  Returns:
    The NodeEditor's expanded state

### expandAll

    public void expandAll()

  expandAll instructs the NodeEditor to recursively expand its contents. This call should also be sent to the children of the NodeEditor.

### collapseAll

    public void collapseAll()

  collapseAll instructs the NodeEditor to recursively collapse its contents. This call should also be sent to the children of the NodeEditor.

dbXML API

Copyright (c) 2004 The dbXML Group